# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# autorisations.py
#
# Librairie de gestion des droits sur les remote_<fonctions>
#
###########################################################################

import sys
#sys.path.append('/usr/share/eole/backend')
from scribe.backend_conf import *

# gestion des connectes
import connectes

# gestion de l'annuaire
import ldap_utils    

def isprof(ip):
    return test_groupe(ip, 'professeurs')

def isadmin(ip):
    return test_groupe(ip, 'DomainAdmins')

def test_groupe(ip, groupe):
    try: user = connectes.get_user(ip)
    except: return False
    groups = ldap_utils.get_user_groups(user)
    if groupe in groups: return True
    return False

